[Q] Sony Ericsson Elm cannot update, it says client modified

I have a Sony ericsson j10i Elm. At first the phone cannot read Arabic, I I live in Middle East, so I send it to a phone shop and he installed Middle East firmware.

After that, I realized some of the features cannot be used. For example, the widget.
I asked the sonymobile support, they say I would have to update my firware to the latest version.

But I cannot update by the software Sony gave, it says client modified. My question is, is there any way to update my phone? Or to just simply download a stadalone latest firmware for my phone?

Thank you very much for the help.

Show Accepted Answer

Guest Quick Reply (No URL, BBcode or HTML)

Last post by znicolas
2 hours ago
Need help
Started by fhartmann
Last post by serena94
3 hours ago
Last post by demetrius.trantow
3 hours ago
Last post by estel.mueller
2 hours ago
Last post by izabella.pagac
4 hours ago
Last post by reilly.henderson
1 hour ago
Last post by shad.auer
1 hour ago
Last post by hahn.rachael
4 hours ago
Last post by rohan.cletus
2 hours ago
Last post by glover.delfina
4 hours ago